Subject: (urth) Latro Series

From: PMorris33 at aol.com <pmorris33 at aol.com>
Date: Thu, 27 Oct 2005 02:41:34 +0000

Has anyone heard anything about the final Latro book?  Himself has  promised 
that he would be publishing one after the Wizard/Knight books were  released.  
-------------- next part --------------
An HTML attachment was scrubbed...
URL: /pipermail/urth-urth.net/attachments/20051026/c34ac730/attachment.html

---

From: thalassocrat at nym.hush.com <thalassocrat at nym.hush.com>
Date: Thu, 27 Oct 2005 03:01:20 +0000

On Wed, 26 Oct 2005 19:41:34 -0700 PMorris33 at aol.com wrote:
>Has anyone heard anything about the final Latro book?  Himself has 

> promised 
>that he would be publishing one after the Wizard/Knight books were 

> released.

I don't think there was an actual "promise". I sure hope it 
happens, though - maybe it will help puzzle out what the hell was 
going on in the first two books :)

Tom Holland has a new book which is a nice retelling of the Persian 
war: 
http://books.guardian.co.uk/reviews/history/0,6121,1566336,00.html 
Nothing startling but I think he does manage to give more of a 
sense of Persia than most reworkings of Herodotus etc.